Returns a plane that contains the line. The origin of the plane is at the start of the line. If possible, a plane parallel to the world XY, YZ or ZX plane is returned.
Rhino.LinePlane (arrLine)
arrLine |
Required. Array. Two 3-D points identifying the starting and ending points of the line. |
Array |
The plane if successful. The elements of a plane array are as follows:
|
||||||||||
Null |
If not successful, or on error. |
Dim arrFrom, arrTo, arrPlane, dblDistance
arrFrom = Array(0, 0, 0)
arrTo = Array(10, 10, 0)
dblDistance = Rhino.Distance(arrFrom, arrTo)
arrPlane = Rhino.LinePlane(Array(arrFrom, arrTo))
Rhino.AddPlaneSurface arrPlane, dblDistance, dblDistance